Subject: [ipwave] Feedback from ITU-R CITS about IP and cellular for vehicular networks

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 4 Oct 2021 11:52:45 +0200

Hi, IPWAVErs,

I gave a brief presentation of the IPWAVE WG, RFC8691 and Vehicular 
Networks I-D to the ITU CITS 'Collaboration on ITS Standards', in 
September, 2021.

This is the feedback I received:

	Bring the cellular kind of work, like IP-over-cellular, in
	IPWAVE WG.  This request is so because:
		- because China efforts on cellular and because
		  USA FCC regulation changes at 5.9GHz to include
		  C-V2X ('C'==cellular).
		- because at ETSI it is thought that it is easy
		  to do IP over any access layer, be it 802.11-OCB
		  or a cellular kind of link layer.

What do you think?

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 4 Oct 2021 12:00:30 +0200

Replying to my own message, sorry.

I think it is possible today to try and make work IPv6 over a cellular 
link 5G; easily there are 5G cards for laptops and SIM cards from mobile 
operators on deployed 5G networks in the cities.

There might be a problem with cars on IPv6 on 5G; that problem relates 
to the mandatory use of prefix lengths of precisely 64bit length in 
every RA sent by every mobile operator in the world (no operator sends a 
/63, for example).  This means that one cant connect all computers in a 
car through a unique IP-OBU (a Mobile Router, a 'car gateway') to the 
Internet, without involving tunnels or a NAT.

This is a big problem that would need to be solved when talking about 
cars on 5G.  Otherwise there cant be cars on 5G.

There might be other problems with IP on C-V2X on a car-to-car without 
base station scenario.

Alex

Le 04/10/2021 à 11:52, Alexandre Petrescu a écrit :
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 4 Oct 2021 22:58:45 +0200

Hi Alex,

Thanks alot. comment below,

>                   USA FCC regulation changes at 5.9GHz to include

It is already consider in our WG I think.

>                   or a cellular kind of link layer.

I think that the coverage of any cities cellular network is available,
reliable and should be used by smart-cars while the 5G is already
integrating many wireless technologies.

Best regards,
AB

---

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 5 Oct 2021 14:28:51 +0200

[...]

> There might be other problems with IP on C-V2X on a car-to-car
> without base station scenario.
> 
> */[RR] Like there being NO layer-2 addressing in C-V2X … ONLy 
> broadcasts! Just imagine how efficient that will be! /*

It sounds as if one has read a specification of C-V2X and has seen the 
C-V2X headers and in these headers there are no addresses.

Can I see that?

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 15 Oct 2021 14:42:58 +0200

Le 05/10/2021 à 17:24, Dick Roy a écrit :
> -----Original Message----- From: its [mailto:[email-masked]]
> On Behalf Of Alexandre Petrescu Sent: Tuesday, October 5, 2021 5:29
> AM To: [email-masked]; [email-masked] Subject: Re: [ipwave]
> Feedback from ITU-R CITS about IP and cellular for vehicular
> networks
> 
> [...]
> 
> */[RR] yup! C-V2X can ONLy be used for broadcasts in the US! When
> one is being manipulated for corporate aggrandizement, it is wise to
> do one’s homework. Yes it involves effort, effort which many are 
> unfortunately not willing to expend so I guess they’ll just have to 
> live with the consequences, consequences which I am positive they
> are going to deeply regret having to suffer through. They can not
> say that they haven’t been warned however, so it’s really their own 
> fault. /*
> 
> Can I see that?
> 
> */[RR] Sure can.  Just read the 3GPP LTE Rel14 (cf. mode 3 and mode
> 4 PC5 sidelink) specs and J3161 (which is not available to you yet
> of course) and you will see there are NO layer-2 addresses.  There is
> a 24-bit control field in the MAC header which is useless without an
>  eNodeB so there have been attempts to use it for other purposes.
> The Chinese use it to encode a hash of the ITS-AID (brilliant!) and
> the US just populates it with random numbers (which have to tumble
> with all the other immutable fields for pseudonymity!). It gets even 
> better … ^(((((/*
> 
> *//*

Richard,

You are helping in a sense, but still it is confusing.

Let me be straight.

If you think that C-V2X is an invisible document to me (J3161) then of
course I can not even dream to work on it.  Note that it might be that I
might ask a kind soul to show it to me for standardisation purposes; if
the request is strong enough it might even become public officially.
But that is speculation.

Still, if C-V2X J3161 is invisible then one can try to tell back to ITU
that their strong invitation to develop a document for IPv6 for C-V2X
can not succeed because of that J3161 unavailability.  And we end there.

If on another hand you think that 3GPP LTE Rel14 cf. mode 3 and mode 4
can be equivalent to 'C-V2X' then we can work on that, because the specs
are available openly.  Here we might struggle with other issues
that I will raise when necessary, but it might be workable.

So, the basic question is this: what is 'C-V2X'?  Is 'C-V2X' a set of
3GPP documents or a set of SAE documents?

Alex

> */RR /*
>>> I gave a brief presentation of the IPWAVE WG, RFC8691 and
> 
>>> Vehicular
> 
>> 
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 21 Oct 2021 13:44:15 +0200

Le 15/10/2021 à 21:54, Dick Roy a écrit :
> [...] and that many restrictions were going to be necessary (aka “a
> profile”) which is what you will find in J3161 (which is still in
> ballot by the way!) and similar documents in the EU and elsewhere!

Does J3161 WIP mention the word 'IP' or 'IPv6' at times?

Alex

> NB: THERE ARE NO PUBLICALLY AVAILABLE C-V2X standards today to which
> vendors of equipment can claim conformance other than the 3GPP ones
> which are not enough, and plugtests are being conducted!  How broken
> is that!  I am nearly 100% certain that there is not a single vendor
> of C-V2X equipment that has implemented the requirement that their
> units cease transmission altogether when the unit’s estimate of time
> is off by more than 391ns (yes NANOSECONDS!!) from GNSS (aka UTC)
> time. When GPS lock is lost, all hell breaks loose as was discovered
> recently.  And naturally, there are kludges for that too!  You might
> find it very interesting to do a patent search (applications and
> publications) with the assignee “Qualcomm, Incorporated”.  The
> results speak volumes!
> 
> Again, this is all well-known and publically available.  What is not
>  well-known or publically is how poorly C-V2X functions in the real 
> world, and that information will NEVER see the light of day if all
> goes according to Qualcomm’s plan.  Ask any of the “vendors” of C-V2X
>  equipment if they are allowed to tell you anything about how well it
>  works and you will hear crickets, loud and clear. This whole debacle
> is a train wreck of massive proportions just around the next bend.
> 
> RR
> 
> -----Original Message----- From: Alexandre Petrescu
> [mailto:[email-masked]] Sent: Friday, October 15, 2021
> 8:43 AM To: [email-masked]; [email-masked] Subject: Re: [ipwave]
>> It sounds as if one has read a specification of C-V2X and has seen
> 
>> the
> 
>> 
> 
>>>> Networks I-D to the ITU CITS 'Collaboration on ITS
>>>> Standards',
> 
>>>> in
> 
>> 
> 
>>> 
> 
>> 
> 
>>>> September, 2021.
> 
>> 
> 
>>> 
> 
>> 
> 
>>>> 
> 
>> 
> 
>>> 
> 
>> 
>